Bug 1405806 - Latest kernel upgrade breaks BYD touchpad driver [NEEDINFO]
Latest kernel upgrade breaks BYD touchpad driver
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
25
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-18 10:04 EST by Jean-François Fortin Tam
Modified: 2017-02-23 18:02 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-23 18:02:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (nekohayo)


Attachments (Terms of Use)
journalctl output (9.42 KB, text/plain)
2016-12-18 10:32 EST, Jean-François Fortin Tam
no flags Details

  None (edit)
Description Jean-François Fortin Tam 2016-12-18 10:04:29 EST
With kernel 4.8.11-300.fc25.x86_64 everything works fine, but if I install and boot into 4.8.13-300.fc25.x86_64, the BYD touchpad I have will behave erratically: when reaching the GDM login screen, after a second or two the mouse cursor will jump to the top-right corner of the screen and "wiggle" while staying stuck there, no matter what I do with it (and turning off+on the touchpad using the keyboard doesn't change anything).

$ xinput list
⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ BYDPS/2 BYD TouchPad                    	id=12	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Power Button                            	id=6	[slave  keyboard (3)]
    ↳ Video Bus                               	id=7	[slave  keyboard (3)]
    ↳ Power Button                            	id=8	[slave  keyboard (3)]
    ↳ Sleep Button                            	id=9	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=11	[slave  keyboard (3)]
Comment 1 Jean-François Fortin Tam 2016-12-18 10:32 EST
Created attachment 1233177 [details]
journalctl output

This also happens with 4.8.14-300.fc25.x86_64.
Didn't see anything unusual in the journalctl output.

The driver's source seems to be: https://github.com/torvalds/linux/blob/master/drivers/input/mouse/byd.c

Booting into 4.8.11 still works so as a user all I can do is version lock it... but this probably bite anyone with a Librem laptop, or many of the Dell laptops out there as seen in https://bugs.freedesktop.org/show_bug.cgi?id=96756's description.

Possibly related upstream bugs: https://bugzilla.kernel.org/show_bug.cgi?id=121281

https://bugzilla.kernel.org/show_bug.cgi?id=120781
Comment 2 Jean-François Fortin Tam 2016-12-18 10:36:42 EST
Oh, need to correct something in the description above: this does not happen if you leave the touchpad untouched, it happens as soon as you touch the touchpad to move the mouse.
Comment 3 Laura Abbott 2017-01-16 20:19:43 EST
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.
Comment 4 Laura Abbott 2017-02-23 18:02:13 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.